Results 1 to 6 of 6

Thread: Cannot install ia32-libs-multiarch:i386

  1. #1
    Join Date
    Jan 2009
    Location
    Harborcreek Pa
    Beans
    343
    Distro
    Ubuntu Development Release

    Cannot install ia32-libs-multiarch:i386

    I did reinstall using todays daily build raring-desktop-amd64-20121108.iso and am trying to install ia32-libs-multiarch:i386. Using Ubuntu Software Center I am getting the following errors.

    Code:
    Package dependencies cannot be resolved
    
    This error could be caused by required additional software packages which are missing or not installable. Furthermore there could be a conflict between software packages which are not allowed to be installed at the same time.
    
    the following packages have unmet dependencies:
    
    ia32-libs-multiarch:i386:
    Thanks Bill
    LINUX Flight Simulator Machine - AMD 8-Core FX-8350 - Antec KUHLER H2O 920 - 32G Ram - Nvidia GeForce GTX 680 PCI/Express 4096 MB - Driver Version 310.14 - Asus VE278 - Ubuntu 64 bit 12.04 - 12.10 - 13.04 - 13.10 - 14.04 - X-Plane 10.25b1

  2. #2
    Join Date
    Apr 2010
    Beans
    212

    Re: Cannot install ia32-libs-multiarch:i386

    ia32-libs-multiarch:i386 is only needed when you have to input chinese using ibus under i386 environment on the amd64 platform. In that case you have to make ibus-gtk:i386 work to type in Chines, and ibus-gtk:i386 depends on ia32-libs:i386 and hence ia32-libs-multiarch:i386. Are you sure you really need it ?

  3. #3
    Join Date
    Jan 2009
    Location
    Harborcreek Pa
    Beans
    343
    Distro
    Ubuntu Development Release

    Re: Cannot install ia32-libs-multiarch:i386

    Quote Originally Posted by funicorn View Post
    ia32-libs-multiarch:i386 is only needed when you have to input chinese using ibus under i386 environment on the amd64 platform. In that case you have to make ibus-gtk:i386 work to type in Chines, and ibus-gtk:i386 depends on ia32-libs:i386 and hence ia32-libs-multiarch:i386. Are you sure you really need it ?
    Yes since my machine runs X-Plane I need it to work and did work before I reinstalled.

    I up graded from 12.10 and it was still working but when I did the re install then I can no longer install ia32-libs-multiarch:i386 or X-Plane.

    Bill
    LINUX Flight Simulator Machine - AMD 8-Core FX-8350 - Antec KUHLER H2O 920 - 32G Ram - Nvidia GeForce GTX 680 PCI/Express 4096 MB - Driver Version 310.14 - Asus VE278 - Ubuntu 64 bit 12.04 - 12.10 - 13.04 - 13.10 - 14.04 - X-Plane 10.25b1

  4. #4
    Join Date
    Jun 2007
    Beans
    13,181

    Re: Cannot install ia32-libs-multiarch:i386

    Maybe it will shakeout for you down the road. (or if not & if your x-plane doesn't need gvfs, gvfs-libs (i386) then try installing the i386 packages it does.

    I think the issue currently is gvfs-libs in raring now deps on libsecret-1-0 which deps on libsecret-common which likely has no "libsecret-common:i386" installation candidate
    (libsecret-common would already be installed & is an 'all.deb', ie. i386

    Edit: there may be other gvfs*:i386 issues as well
    Last edited by mc4man; November 9th, 2012 at 02:00 PM.

  5. #5
    Join Date
    Jun 2007
    Beans
    13,181

    Re: Cannot install ia32-libs-multiarch:i386

    As soon as you upgrade libsecret* to 0.11-0ubuntu2 then you'll be able to install ia32-libs-multiarch:i386
    (libsecret got some multiarch whatever
    libsecret (0.11-0ubuntu2) raring; urgency=medium

    * debian/control:
    - Add multiarch annotations and pre-depends (LP: #1073269)

  6. #6
    Join Date
    Jan 2009
    Location
    Harborcreek Pa
    Beans
    343
    Distro
    Ubuntu Development Release

    Re: Cannot install ia32-libs-multiarch:i386

    Did a re install with todays daily build raring-desktop-amd64-20121109.iso and all is well again.

    Bill
    LINUX Flight Simulator Machine - AMD 8-Core FX-8350 - Antec KUHLER H2O 920 - 32G Ram - Nvidia GeForce GTX 680 PCI/Express 4096 MB - Driver Version 310.14 - Asus VE278 - Ubuntu 64 bit 12.04 - 12.10 - 13.04 - 13.10 - 14.04 - X-Plane 10.25b1

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •